## install-mimic 0.2.0

=== Makefile ===
# Copyright (c) 2015, 2016  Peter Pentchev
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

PACKAGE=	install-mimic
VERSION=	`perl install-mimic.pl -V | awk "{print \\$$2}"`

PKG_DIR?=	..
PKG_TAR=	${PKG_DIR}/${PACKAGE}-${VERSION}.tar

PROG?=		install-mimic
MAN1?=		install-mimic.1.gz

STD_CPPFLAGS?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700

LFS_CPPFLAGS?=	-D_FILE_OFFSET_BITS=64
LFS_LDFLAGS?=

STD_CFLAGS?=	-std=c99
WARN_CFLAGS?=	-Wall -W -pedantic -Wbad-function-cast \
		-Wcast-align -Wchar-subscripts -Winline \
		-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
		-Wredundant-decls -Wshadow -Wstrict-prototypes -Wwrite-strings

CC?=		gcc
CPPFLAGS?=
CPPFLAGS+=	${STD_CPPFLAGS} ${LFS_CPPFLAGS}
CFLAGS?=		-g -pipe
CFLAGS+=	${STD_CFLAGS} ${WARN_CFLAGS}
LDFLAGS?=
LDFLAGS+=	${LFS_LDFLAGS}
LIBS?=

PREFIX?=	/usr
BINDIR?=	${PREFIX}/bin
SHAREDIR?=	${PREFIX}/share
MANDIR?=	${PREFIX}/share/man/man

CP?=		cp
ECHO?=		echo
GZIP?=		gzip -c9
INSTALL?=	install
MKDIR?=		mkdir -p
RM?=		rm -f
LN_S?=		ln -s

BINOWN?=	root
BINGRP?=	root
BINMODE?=	755

SHAREOWN?=	${BINOWN}
SHAREGRP?=	${BINGRP}
SHAREMODE?=	644

COPY?=		-c
STRIP?=		-s
INSTALL_PROGRAM?=	${INSTALL} ${COPY} ${STRIP} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_SCRIPT?=	${INSTALL} ${COPY} -o ${BINOWN} -g ${BINGRP} -m ${BINMODE}
INSTALL_DATA?=	${INSTALL} ${COPY} -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE}

all:		${PROG} ${MAN1}

${PROG}:	${PROG}.o
		${CC} ${LDFLAGS} -o ${PROG} ${PROG}.o ${LIBS}

${PROG}.o:	${PROG}.c
		${CC} ${CPPFLAGS} ${CFLAGS} -c -o ${PROG}.o ${PROG}.c

${MAN1}:	${PROG}.1
		${GZIP} -cn9 ${PROG}.1 > ${MAN1} || (rm -f -- ${MAN1}; false)

install:	all
		${MKDIR} ${DESTDIR}${BINDIR}
		${INSTALL_SCRIPT} ${PROG} ${DESTDIR}${BINDIR}
		${MKDIR} ${DESTDIR}${MANDIR}1
		${INSTALL_DATA} ${MAN1} ${DESTDIR}${MANDIR}1

test:		all install-mimic.pl
		@printf "\n===== Testing the C implementation\n\n"
		prove t

		@printf "\n===== Testing the Perl 5 implementation\n\n"
		[ -x install-mimic.pl ] || chmod +x install-mimic.pl
		env INSTALL_MIMIC=./install-mimic.pl prove t

clean:
		${RM} ${PROG} ${PROG}.o ${MAN1}

dist:
		[ -n "$$ALLOW_DIST_DEV" ] || devver
		@printf "\n===== Creating %s.*\n\n" "${PKG_TAR}"
		git archive --format=tar --prefix="${PACKAGE}-${VERSION}/" -o "${PKG_TAR}" HEAD || (rm -f -- "${PKG_TAR}"; false)
		gzip -nc9 "${PKG_TAR}" > "${PKG_TAR}.gz" || (rm -f -- "${PKG_TAR}.gz"; false)
		bzip2 -c9 "${PKG_TAR}" > "${PKG_TAR}.bz2" || (rm -f -- "${PKG_TAR}.bz2"; false)
		xz -c9 "${PKG_TAR}" > "${PKG_TAR}.xz" || (rm -f -- "${PKG_TAR}.xz"; false)
		rm -- "${PKG_TAR}"
		@printf "\n===== Created %s.*\n\n" "${PKG_TAR}"

.PHONY:		all install test clean dist

=== debian/changelog ===
install-mimic (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #828913.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 17 Nov 2016 11:25:58 +0200

=== debian/control ===
Source: install-mimic
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>> 10), perl
Standards-Version: 3.9.8
Homepage: https://devel.ringlet.net/misc/install-mimic/
Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian
Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian
Testsuite: autopkgtest

Package: install-mimic
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Description: overwrite files and preserve their ownership
 The install-mimic utility copies the specified files to the specified
 destination (file or directory) similarly to install(1), but it preserves
 the ownership and access mode of the destination files.  This is useful when
 updating files that have already been installed with locally modified copies
 that may be owned by the current user and not by the desired owner of the
 destination file (e.g. root).

## install-mimic 0.3.1

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,8 @@
 
 PROG?=		install-mimic
 MAN1?=		install-mimic.1.gz
+
+PROG_RS?=	target/debug/install-mimic
 
 STD_CPPFLAGS?=	-D_POSIX_C_SOURCE=200809L -D_XOPEN_SOURCE=700
 
@@ -89,22 +91,39 @@
 ${MAN1}:	${PROG}.1
 		${GZIP} -cn9 ${PROG}.1 > ${MAN1} || (rm -f -- ${MAN1}; false)
 
+${PROG_RS}:	${PROG}.rs
+#		rustc -o ${PROG_RS} ${PROG}.rs
+		cargo build
+
 install:	all
 		${MKDIR} ${DESTDIR}${BINDIR}
 		${INSTALL_SCRIPT} ${PROG} ${DESTDIR}${BINDIR}
 		${MKDIR} ${DESTDIR}${MANDIR}1
 		${INSTALL_DATA} ${MAN1} ${DESTDIR}${MANDIR}1
 
-test:		all install-mimic.pl
-		@printf "\n===== Testing the C implementation\n\n"
-		prove t
-
+test-perl:	install-mimic.pl
 		@printf "\n===== Testing the Perl 5 implementation\n\n"
 		[ -x install-mimic.pl ] || chmod +x install-mimic.pl
 		env INSTALL_MIMIC=./install-mimic.pl prove t
 
+test-c:		${PROG}
+		@printf "\n===== Testing the C implementation\n\n"
+		prove t
+
+test-rust:	${PROG_RS}
+		@printf "\n===== Testing the Rust implementation\n\n"
+		env INSTALL_MIMIC=./${PROG_RS} prove t
+
+test:		test-c test-perl
+
+test-all:	test-c test-perl test-rust
+
 clean:
 		${RM} ${PROG} ${PROG}.o ${MAN1}
+		[ ! -d "target" ] || cargo clean
+
+distclean:	clean
+		${RM} Cargo.lock
 
 dist:
 		[ -n "$$ALLOW_DIST_DEV" ] || devver
@@ -116,4 +135,4 @@
 		rm -- "${PKG_TAR}"
 		@printf "\n===== Created %s.*\n\n" "${PKG_TAR}"
 
-.PHONY:		all install test clean dist
+.PHONY:		all install test-all test-c test-perl test-rust test clean dist

=== debian/changelog ===
install-mimic (0.3.1-1) unstable; urgency=medium

  * New upstream release, should fix the kfreebsd-* FTBFS.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 29 Sep 2017 14:31:37 +0300

install-mimic (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream and debian/* copyright years.
  * Update the package for compliance with Debian Policy 4.1.0:
    - drop the implied "Testsuite: autopkgtest" source control field

 -- Peter Pentchev <roam@ringlet.net>  Tue, 26 Sep 2017 10:38:30 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,10 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>> 10), perl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://devel.ringlet.net/misc/install-mimic/
 Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian
 Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian
-Testsuite: autopkgtest
 
 Package: install-mimic
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

override_dh_auto_build:
	dh_auto_build
	sed -ne '/^## Version history/,/^- First public release/p' README.md > changelog.md || (rm -f changelog.md; false)

%:
	dh '$@'

=== debian/tests/control ===
Test-Command: env INSTALL_MIMIC='/usr/bin/install-mimic' prove -v t
Depends: @, perl

## install-mimic 0.4.0

=== debian/changelog ===
install-mimic (0.4.0-4) unstable; urgency=medium

  * Switch to a DEP-14 debian/master branch.
  * Use the test-name autopkgtest feature.

 -- Peter Pentchev <roam@debian.org>  Tue, 26 Feb 2019 23:49:30 +0200

install-mimic (0.4.0-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Tue, 15 Jan 2019 16:52:25 +0200

install-mimic (0.4.0-2) unstable; urgency=medium

  * Bring up to compliance with Debian Policy 4.2.1: install the extracted
    upstream release notes as NEWS and not changelog.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Add trivial autopkgtests running adequate and feature-check.
  * Minimize the upstream signing key, only keep the roam@ringlet.net UID.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Dec 2018 02:57:17 +0200

install-mimic (0.4.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.1.4 with no changes.
  * Add "Rules-Requires-Root: no" to the source control stanza and
    override the upstream Makefile's INSTALL_SCRIPT and INSTALL_DATA.
  * Bump the debhelper compatibility level to 11 using the new
    B-D: debhelper-compat (= 11) mechanism.
  * Let dpkg-buildflags take care of the LFS compiler and linker flags.
  * Add the year 2018 to my debian/* copyright notice.
  * New upstream release, update the upstream copyright years.
  * Use my Debian e-mail address.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 May 2018 13:58:25 +0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: install-mimic
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>> 10), perl
-Standards-Version: 4.1.0
+Maintainer: Peter Pentchev <roam@debian.org>
+Build-Depends: debhelper-compat (= 12), perl
+Standards-Version: 4.3.0
 Homepage: https://devel.ringlet.net/misc/install-mimic/
-Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian
-Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian
+Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian/master
+Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian/master
+Rules-Requires-Root: no
 
 Package: install-mimic
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

override_dh_auto_build:
	dh_auto_build -- LFS_CPPFLAGS= LFS_LDFLAGS=
	sed -ne '/^## Version history/,/^- First public release/p' README.md > NEWS.md || (rm -f NEWS.md; false)

override_dh_auto_install:
	dh_auto_install -- INSTALL_SCRIPT='install -m 755' INSTALL_DATA='install -m 644'

override_dh_installchangelogs:
	dh_installchangelogs
	install -m 644 NEWS.md debian/install-mimic/usr/share/doc/install-mimic/NEWS

%:
	dh '$@'

=== debian/tests/control ===
Test-Command: env INSTALL_MIMIC='/usr/bin/install-mimic' prove -v t
Depends: @, perl
Features: test-name=upstream

Test-Command: adequate install-mimic
Depends: @, adequate
Features: test-name=adequate

Test-Command: feature-check install-mimic install-mimic
Depends: @, feature-check
Features: test-name=feature-check

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/misc/install-mimic/ https://devel.ringlet.net/(?:files/)?misc/install-mimic/install-mimic-@ANY_VERSION@@ARCHIVE_EXT@

## install-mimic 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,26 +1,5 @@
-# Copyright (c) 2015, 2016  Peter Pentchev
-# All rights reserved.
-#
-# Redistribution and use in source and binary forms, with or without
-# modification, are permitted provided that the following conditions
-# are met:
-# 1. Redistributions of source code must retain the above copyright
-#    notice, this list of conditions and the following disclaimer.
-# 2. Redistributions in binary form must reproduce the above copyright
-#    notice, this list of conditions and the following disclaimer in the
-#    documentation and/or other materials provided with the distribution.
-#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
-# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
-# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
-# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
-# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
-# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
-# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
-# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
-# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
-# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
-# SUCH DAMAGE.
+# SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
+# SPDX-License-Identifier: BSD-2-Clause
 
 PACKAGE=	install-mimic
 VERSION=	`perl install-mimic.pl -V | awk "{print \\$$2}"`
@@ -52,6 +31,8 @@
 LDFLAGS?=
 LDFLAGS+=	${LFS_LDFLAGS}
 LIBS?=
+
+CARGO?=		cargo
 
 PREFIX?=	/usr
 BINDIR?=	${PREFIX}/bin
@@ -92,8 +73,7 @@
 		${GZIP} -cn9 ${PROG}.1 > ${MAN1} || (rm -f -- ${MAN1}; false)
 
 ${PROG_RS}:	${PROG}.rs
-#		rustc -o ${PROG_RS} ${PROG}.rs
-		cargo build
+		${CARGO} build
 
 install:	all
 		${MKDIR} ${DESTDIR}${BINDIR}
@@ -120,7 +100,7 @@
 
 clean:
 		${RM} ${PROG} ${PROG}.o ${MAN1}
-		[ ! -d "target" ] || cargo clean
+		[ ! -d "target" ] || ${CARGO} clean
 
 distclean:	clean
 		${RM} Cargo.lock

=== debian/changelog ===
install-mimic (0.4.1-2) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Use debputy's X-Style: black.
  * Use debhelper compat level 14 and X-DH-Compat.
  * Let debhelper handle some dependencies automatically.

 -- Peter Pentchev <roam@debian.org>  Tue, 31 Dec 2024 12:18:05 +0200

install-mimic (0.4.1-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2 with no changes.
    Note that the 0.4.0-6 upload actually declared compliance with
    Policy 4.6.0, not 4.5.0 as was stated in the changelog entry.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api 1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * Point the watch file to the new upstream download page.
  * New upstream release:
    - follow the upstream switch to yearless copyright notices
    - install the docs/changes.md file directly as NEWS.md; no need to
      parse its contents out of README.md anymore. This also fixes
      a FTBFS twice in a row bug. Closes: #1047281

 -- Peter Pentchev <roam@debian.org>  Mon, 26 Feb 2024 01:04:57 +0200

install-mimic (0.4.0-6) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Explicitly specify dh-sequence-single-binary as a build dependency.
  * Add the year 2021 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Fri, 17 Dec 2021 16:27:33 +0200

install-mimic (0.4.0-5) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Mark the feature-check autopkgtest as superficial.
  * Drop the Name and Contact upstream metadata fields.
  * Set some environment variables for the whole run.
  * Bump the debhelper compat level to 13, use execute_after.

 -- Peter Pentchev <roam@debian.org>  Thu, 07 May 2020 01:08:21 +0300

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,21 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
-Build-Depends: debhelper-compat (= 12), perl
-Standards-Version: 4.3.0
+Build-Depends:
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
+ dh-sequence-single-binary,
+ dpkg-build-api (= 1),
+ perl,
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/misc/install-mimic/
 Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian/master
 Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian/master
-Rules-Requires-Root: no
+X-Style: black
 
 Package: install-mimic
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: foreign
 Description: overwrite files and preserve their ownership
  The install-mimic utility copies the specified files to the specified

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

ifneq (,$(filter werror,$(DEB_BUILD_OPTIONS)))
DEB_CFLAGS_MAINT_APPEND=	-Werror
export DEB_CFLAGS_MAINT_APPEND
endif

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

export LFS_CPPFLAGS=
export LFS_LDFLAGS=

export INSTALL_DATA=	install -m 644
export INSTALL_SCRIPT=	install -m 755

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md

execute_after_dh_installchangelogs:
	install -m 644 docs/changes.md debian/install-mimic/usr/share/doc/install-mimic/NEWS

%:
	dh '$@'

## install-mimic 0.4.2

=== Makefile ===
--- 
+++ 
@@ -74,6 +74,7 @@
 
 ${PROG_RS}:	${PROG}.rs
 		${CARGO} build
+		./run-clippy.sh -c "${CARGO}" -n
 
 install:	all
 		${MKDIR} ${DESTDIR}${BINDIR}
@@ -82,6 +83,9 @@
 		${INSTALL_DATA} ${MAN1} ${DESTDIR}${MANDIR}1
 
 test-perl:	install-mimic.pl
+		@[ -z "$$(command -v tidyall || true)" ] || printf "\n===== Validating the Perl 5 implementation\n\n"
+		@[ -z "$$(command -v tidyall || true)" ] || tidyall -a --check-only
+
 		@printf "\n===== Testing the Perl 5 implementation\n\n"
 		[ -x install-mimic.pl ] || chmod +x install-mimic.pl
 		env INSTALL_MIMIC=./install-mimic.pl prove t
@@ -101,6 +105,7 @@
 clean:
 		${RM} ${PROG} ${PROG}.o ${MAN1}
 		[ ! -d "target" ] || ${CARGO} clean
+		[ ! -d .tidyall.d ] || rm -rf .tidyall.d
 
 distclean:	clean
 		${RM} Cargo.lock

=== debian/changelog ===
install-mimic (0.4.2-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.2 with no changes.
  * Add Salsa CI configuration.
  * Point Vcs-* to the new Salsa repo; the GitHub repo will continue to
    keep a read-only debian/master branch until the EOL of
    Debian 12.x (bookworm).
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Sat, 15 Mar 2025 11:30:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  dh-sequence-single-binary,
  dpkg-build-api (= 1),
  perl,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/misc/install-mimic/
-Vcs-Git: https://github.com/ppentchev/install-mimic.git -b debian/master
-Vcs-Browser: https://github.com/ppentchev/install-mimic/tree/debian/master
+Vcs-Git: https://salsa.debian.org/debian/install-mimic.git
+Vcs-Browser: https://salsa.debian.org/debian/install-mimic
 X-Style: black
 
 Package: install-mimic

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://devel.ringlet.net/misc/install-mimic/download/ https://devel.ringlet.net/(?:files/)?misc/install-mimic/install-mimic-@ANY_VERSION@@ARCHIVE_EXT@

## install-mimic 0.4.3

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,5 @@
 # SPDX-FileCopyrightText: Peter Pentchev <roam@ringlet.net>
 # SPDX-License-Identifier: BSD-2-Clause
-
-PACKAGE=	install-mimic
-VERSION=	`perl install-mimic.pl -V | awk "{print \\$$2}"`
-
-PKG_DIR?=	..
-PKG_TAR=	${PKG_DIR}/${PACKAGE}-${VERSION}.tar
 
 PROG?=		install-mimic
 MAN1?=		install-mimic.1.gz
@@ -73,8 +67,8 @@
 		${GZIP} -cn9 ${PROG}.1 > ${MAN1} || (rm -f -- ${MAN1}; false)
 
 ${PROG_RS}:	${PROG}.rs
-		${CARGO} build
-		./run-clippy.sh -c "${CARGO}" -n
+		'${CARGO}' build
+		./run-clippy.sh -c '${CARGO}' -n
 
 install:	all
 		${MKDIR} ${DESTDIR}${BINDIR}
@@ -104,20 +98,10 @@
 
 clean:
 		${RM} ${PROG} ${PROG}.o ${MAN1}
-		[ ! -d "target" ] || ${CARGO} clean
+		[ ! -d "target" ] || '${CARGO}' clean
 		[ ! -d .tidyall.d ] || rm -rf .tidyall.d
 
 distclean:	clean
 		${RM} Cargo.lock
 
-dist:
-		[ -n "$$ALLOW_DIST_DEV" ] || devver
-		@printf "\n===== Creating %s.*\n\n" "${PKG_TAR}"
-		git archive --format=tar --prefix="${PACKAGE}-${VERSION}/" -o "${PKG_TAR}" HEAD || (rm -f -- "${PKG_TAR}"; false)
-		gzip -nc9 "${PKG_TAR}" > "${PKG_TAR}.gz" || (rm -f -- "${PKG_TAR}.gz"; false)
-		bzip2 -c9 "${PKG_TAR}" > "${PKG_TAR}.bz2" || (rm -f -- "${PKG_TAR}.bz2"; false)
-		xz -c9 "${PKG_TAR}" > "${PKG_TAR}.xz" || (rm -f -- "${PKG_TAR}.xz"; false)
-		rm -- "${PKG_TAR}"
-		@printf "\n===== Created %s.*\n\n" "${PKG_TAR}"
-
 .PHONY:		all install test-all test-c test-perl test-rust test clean dist

=== debian/changelog ===
install-mimic (0.4.3-2) unstable; urgency=medium

  * Add a superficial `debputy reformat` autopkgtest.
  * Build and install the Rust implementation of install-mimic and
    disable the blhc Salsa CI test.
  * Disable the build-twice and validate-clean-up Salsa CI tests
    because of a false positive.

 -- Peter Pentchev <roam@debian.org>  Thu, 11 Dec 2025 03:01:05 +0200

install-mimic (0.4.3-1) unstable; urgency=medium

  * Convert the watch file to version 5 of the format.
  * Run more tests in Salsa CI.
  * New upstream release.

 -- Peter Pentchev <roam@debian.org>  Thu, 23 Oct 2025 14:26:16 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,14 @@
  dh-package-notes,
  dh-sequence-single-binary,
  dpkg-build-api (= 1),
- perl,
+ cargo,
+ librust-camino-dev,
+ librust-clap-derive-dev,
+ librust-clap-dev,
+ librust-eyre-dev,
+ librust-shell-words-dev,
+ perl <!nocheck>,
+ rustc,
 Standards-Version: 4.7.2
 X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/misc/install-mimic/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

include /usr/share/debhelper/dh_package_notes/package-notes.mk

override_dh_auto_clean:
	rm -rf target/

override_dh_auto_build:
	[ -d .cargo ] || install -d -m 755 .cargo
	install -m 644 -- debian/cargo-config.toml .cargo/config.toml
	cargo build --release

override_dh_auto_test:
	env INSTALL_MIMIC=./target/release/install-mimic prove -v t

override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs -X changes.md

execute_after_dh_installchangelogs:
	install -m 644 docs/changes.md debian/install-mimic/usr/share/doc/install-mimic/NEWS

%:
	dh '$@'

=== debian/tests/control ===
Test-Command: set -e; rm -rf target; mkdir -p target/release; install -m 755 -- /usr/bin/install-mimic target/release; env INSTALL_MIMIC='./target/release/install-mimic' prove -v t
Depends:
 perl,
 @,
Features:
 test-name=upstream,

Test-Command: feature-check install-mimic install-mimic
Depends:
 feature-check,
 @,
Features:
 test-name=feature-check,
Restrictions:
 superficial,

Test-Command: debputy reformat --no-auto-fix --linter-exit-code
Depends:
 dh-debputy,
 python3-lsprotocol,
Features:
 test-name=debian-debputy,
Restrictions:
 superficial,
